Subject: Re: linux-next: manual merge of the tip tree with the block tree

From: Jens Axboe <[email-masked]>
Date: Mon, 9 Nov 2020 07:06:55 -0700

On 11/9/20 6:45 AM, Thomas Gleixner wrote:
> On Mon, Nov 09 2020 at 14:14, Stephen Rothwell wrote:
>> Today's linux-next merge of the tip tree got a conflict in:
>>
>>   include/linux/sched/signal.h
>>   include/linux/tracehook.h
>>   kernel/signal.c
>>   kernel/task_work.c
>>
>> between commits:
>>
>>   fdb5f027ce66 ("task_work: use TIF_NOTIFY_SIGNAL if available")
>>   bf6996650675 ("task_work: remove legacy TWA_SIGNAL path")
>>   ceb39b7c17b7 ("kernel: remove checking for TIF_NOTIFY_SIGNAL")
>>
>> from the block tree and commit:
>>
>>   114518eb6430 ("task_work: Use TIF_NOTIFY_SIGNAL if available")
>>   12db8b690010 ("entry: Add support for TIF_NOTIFY_SIGNAL")
>>
>> from the tip tree.
> 
> Jens, how is that supposed to work?
> 
> You need to merge the 'core-entry-notify-signal' tag from the tip tree
> into your next branch to make the follow up changes actually work.

I just haven't rebased with that pulled in yet, will do that this
morning.

> Ideally you send the whole arch + core cleanup muck my way once the
> architecture people are happy.

Crossing fingers that I'll be able to collect all of the reviews in
time, some of them have been picked up in arch trees though. So probably
the easiest if we keep the setup as it is, which should work fine as
soon as I pull in your core branch.

-- 
Jens Axboe